<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CRUD - Courses 365 - FullStack</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>    
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>CRUD - Browse Courses - Project 365</title>
    
    <link rel="stylesheet" href="/css/browseCourse.css">
    
    <!-- file JS -->
    <script src="/js/browseCourses.js"></script>
</head>
<body>
    <div class="container-fluid">
            <!-- alerts div -->
            <div class="alert alert-danger" id="danger-alert">
                <button type="button" class="close" data-dismiss="alert">x</button>
                <strong>Success! </strong> Course has been deleted!
            </div>

        <div class="row mt-3">
            <div class="col-md-12 p-1">
                <h2 class="text-center text-uppercase">List of Courses</h2>
            </div>
        </div>
        <button class="btn btn-outline-success" data-toggle="tooltip" title="Add new Course"><i class="fas fa-plus">&nbsp New Course</i></button>
        <div class="row mt-3">
            <div class="col-md-12">
                <table id="table-course" class="table table-bordered table-striped table-hover">
                    <thead class="thead-dark">
                        <th>Course Code</th>
                        <th>Course Name</th>
                        <th>Cover Image</th>
                        <th>Price</th>
                        <th>Discount</th>
                        <th>Duration</th>
                        <th>Level</th>
                        <th>Teacher Name</th>
                        <th>Teacher Photo</th>
                        <th>Popular</th>
                        <th>Trending</th>
                        <th>Action</th>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- modal Insert Course -->
    <div class="modal fade" id="modal-insert-course" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- modal-header -->
                <div class="modal-header">
                    <h5 class="modal-title text-primary">Add New Course</h5>
                    <button type="button" data-dismiss="modal" class="close">&times;</button>
                </div>  
                <!-- modal-body -->
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Course Code</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-course-code" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Course Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-course-name" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Price</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" name="" id="inp-price" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Discount Price</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" name="" id="inp-discountPrice" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Duration</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-duration" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Level</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-level" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Cover Image</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-image" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Teacher Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-teacher-name" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Teacher Photo</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-teacher-photo" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>isPopular</label>
                            </div>
                            <div class="col-sm-8">
                                <select name="" id="select-popular" class="form-control">
                                    <option value="true">true</option>
                                    <option value="false">false</option>
                                </select>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>isTrending</label>
                            </div>
                            <div class="col-sm-8">
                                <select name="" id="select-trending" class="form-control">
                                    <option value="true">true</option>
                                    <option value="false">false</option>
                                </select>
                            </div>
                        </div>
                    </form>
                </div>
                <!-- modal-footer -->
                <div class="modal-footer">
                    <button class="btn-insert-course btn btn-success">Insert</button>
                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- modal Update Course -->
    <div class="modal fade" id="modal-update-course" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- modal-header -->
                <div class="modal-header">
                    <h5 class="modal-title text-primary">Update Course</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- modal-body -->
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Course Code</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-course-code-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Course Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-course-name-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Price</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" name="" id="inp-price-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Discount Price</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="number" name="" id="inp-discountPrice-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Duration</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-duration-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Level</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-level-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Cover Image</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-image-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Teacher Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-teacher-name-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Teacher Photo</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-teacher-photo-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>isPopular</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-popular-update" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>isTrending</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" name="" id="inp-trending-update" class="form-control">
                            </div>
                        </div>
                    </form>
                </div>
                <!-- modal-footer -->
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-update-course">Update</button>
                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- modal Delete Course -->
     <div id="modal-delete-course" class="modal fade">
        <div class="modal-dialog modal-confirm">
          <div class="modal-content">
            <div class="modal-header flex-column">
              <div class="icon-box">
                <i class="material-icons">&#xE5CD;</i>
              </div>
              <h4 class="modal-title w-100">Confirmation</h4>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-hidden="true"
              >
                &times;
              </button>
            </div>
            <div class="modal-body">
              <p>
                Are you sure delete this course?
              </p>
            </div>
            <div class="modal-footer justify-content-center">
              <button
                type="button"
                class="btn btn-secondary"
                data-dismiss="modal"
              >
                Cancel
              </button>
              <button id="btn-delete-course" type="button" class="btn btn-danger">Delete</button>
            </div>
          </div>
        </div>
      </div>

      <!-- Modal confirmation  -->
      <div id="modal-success" class="modal fade">
        <div class="modal-dialog modal-confirm-insert">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="icon-box">
                        <i class="material-icons">&#xE876;</i>
                    </div>				
                    <h4 class="modal-title w-100">Awesome!</h4>	
                </div>
                <div class="modal-body">
                    <p class="text-center">New Course <span id="newCourseID" style="font-style: italic; font-weight: bolder;"></span> has been created.</p>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-success btn-block" data-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div> 
</body>
</html>
